[project]
name = "django-tinywiki"
dynamic=["version","description","readme"]
authors = [
    {name = "Christian Moser",email = "christian@cmoser.eu"}
]
requires-python = ">=3.12,<3.14"
dependencies = [
    "django (>=5.2.4,<6.0.0)",
    "django-extensions (>=4.1,<5.0)",
    "django-widget-tweaks (>=1.5.0,<2.0.0)",
    "django-environ (>=0.12.0,<0.13.0)",
    "django-allauth[oauth2,openid,saml2,socialaccount,steam] (>=65.12.0,<66.0.0)",
    "django-browser-reload (>=1.19.0,<2.0.0)",
    "pillow (>=11.3.0,<12.0.0)",
    "bbcode (>=1.1.0,<2.0.0)",
    "markdown (>=3.9,<4.0)",
    "django-csp (>=4.0,<5.0)",
]

[tool.poetry]
name = "django-tinywiki"
version = "1.0.0"
description = "django-app"
readme = "README.md"
package-mode = true
packages = [{include = "tinywiki", from = "."}]


[tool.poetry.group.uwsgi.dependencies]
uwsgi = {version = "^2.0.30", platform = "linux"}


[tool.poetry.group.asgi.dependencies]
channels = {extras = ["daphne"], version = "^4.3.1"}


[tool.poetry.group.dev.dependencies]
django-debug-toolbar = "^6.0.0"
django-browser-reload = "^1.18.0"


[tool.poetry.group.linux.dependencies]
uwsgi = {version = "^2.0.30", platform = "linux"}


[tool.poetry.group.postgres.dependencies]
psycopg2 = "^2.9.11"

[build-system]
requires = ["poetry-core>=2.0.0,<3.0.0"]
build-backend = "poetry.core.masonry.api"
